POSTgetRecentPrioritizationFees

Returns a list of prioritization fees from recent blocks.

Request Body
jsonrpcstringrequired
idintegerrequired
methodstringrequired
paramsstring[][]required

It contains following items:

  1. Account addresses (optional)
Responses
idinteger

The request ID

jsonrpcstring

The JSON-RPC version

slotinteger (uint64)

Slot in which the fee was observed

prioritizationFeeinteger (uint64)

The per-compute-unit fee paid by at least one successfully landed transaction, specified in increments of micro-lamports (0.000001 lamports)

X-API-KEY
RequestCU20
cURL
curl -X POST "https://solana-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "getRecentPrioritizationFees",
  "params": [
    ["CxELquR1gPP8wHe33gZ4QxqGB3sZ9RSwsJ2KshVewkFY"]
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": [
    {
      "slot": 348125,
      "prioritizationFee": 0
    },
    {
      "slot": 348126,
      "prioritizationFee": 1000
    },
    {
      "slot": 348127,
      "prioritizationFee": 500
    },
    {
      "slot": 348128,
      "prioritizationFee": 0
    },
    {
      "slot": 348129,
      "prioritizationFee": 1234
    }
  ],
  "id": 1
}